Debian Bug report logs - #440330
wxwidgets2.6: please upgrade to current stable release, 2.8

Package: wxwidgets2.6; Maintainer for wxwidgets2.6 is wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>;

Reported by: Gerfried Fuchs <rhonda@debian.at>

Date: Fri, 31 Aug 2007 15:33:11 UTC

Severity: wishlist

Merged with 403237, 415677

Done: Ron <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#440330; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wxwidgets2.6: please upgrade to current stable release, 2.8
Date: Fri, 31 Aug 2007 17:27:07 +0200
Package: wxwidgets2.6
Version: 2.6.3.2.1.5
Severity: important

        Hi!

 I hope you are aware that upstream version 2.8 is available the whole
year already, currently being 2.8.4 since may.  According to a bugreport
against pgadmin it can't upgrade before a newer wxwidgets version is in
the pool, which was said that you are aware of and was postponed due to
etch release.

 Now, more than 4 months after etch release I still am not able to use a
more recent pgadmin due to still missing the long-released wxwidgets
update, so I wonder what is the problem?  Is there some way to help you
out?  Have you lost interest in the package and would like to hand it
over?

 Thanks for any insight into the issue that you can offer,
Rhonda



Severity set to `wishlist' from `important' Request was from Roberto C. Sánchez <roberto@connexer.com> to control@bugs.debian.org. (Tue, 04 Sep 2007 16:54:04 GMT) Full text and rfc822 format available.

Forcibly Merged 403237 415677 440330. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sat, 20 Oct 2007 09:45:05 GMT) Full text and rfc822 format available.

Message sent on to Gerfried Fuchs <rhonda@debian.at>:
Bug#440330. Full text and rfc822 format available.

Message #12 received at 440330-submitter@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: 403237@bugs.debian.org
Cc: 403237-submitter@bugs.debian.org, 415677-submitter@bugs.debian.org, 440330-submitter@bugs.debian.org
Subject: New upstream version 2.8.6 packaged
Date: Fri, 26 Oct 2007 18:10:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

I took the liberty to package the new upstream version 2.8.6 of wxWidgets on 
my own account.
All the applications using wx2.6 on my box (eg. poedit, audacity) still run 
perfectly with the new 2.8 version installed.
And I compiled and installed the just released pgadmin 1.8.0 using wx2.8, and 
it runs also fine.

My packages can be found at http://kampfwurst.net/debian/unstable/

I hope to see a new wxWidgets 2.8 entering official archives soon. At least I 
encountered no technical problems compiling, installing and using it.

Regards,
  Bastian
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 431435 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:02 GMT) Full text and rfc822 format available.

Blocking bugs of 404319 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:05 GMT) Full text and rfc822 format available.

Blocking bugs of 444960 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:08 GMT) Full text and rfc822 format available.

Blocking bugs of 457157 added: 403237, 415677, and 440330 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2007 09:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#440330; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Kartik Mistry" <kartik.mistry@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #25 received at 440330@bugs.debian.org (full text, mbox):

From: "Kartik Mistry" <kartik.mistry@gmail.com>
To: 440330@bugs.debian.org
Cc: "Ron Lee" <ron@debian.org>
Subject: xchm is also affecting
Date: Thu, 24 Jan 2008 15:48:47 +0530
Hi Ron,

Please package version 2.8 of wxwidgets, since xchm also seems to have
fix some issues using wxwidgets 2.8 in its latest upstream release!

You can do RFH if you are looking for co-maintainer and I am sure you
will get people to join the hands..

-- 
 Cheers,
 Kartik Mistry | 0xD1028C8D | IRC: kart_
 blog.ftbfs.in  | kartikm.wordpress.com




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#440330; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #30 received at 440330@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 403237@bugs.debian.org, 415677@bugs.debian.org, 425647@bugs.debian.org, 440330@bugs.debian.org, calvin@debian.org, ron@voicetronix.com
Subject: Proposition: 'NMU' upload of wxwidgets 2.8
Date: Sun, 3 Feb 2008 01:21:52 +0100
Hi all, hi Ron.


I am fully aware that this is not a nice thing to propose and I know
that even though Ron does not know me and probably never even heard of
me, he will dislike me from this point. I would even go as far as to
agreeing to parts of why that is the case. Still, I feel the need to
write this email. Sorry Ron, and I mean that.


The current situation is as follows: A release with a new minor number
has been out for more than a _year_. While the maintainer in question
argues that 2.8 has lots of open bugs, more and more software versions
depend on it. As the maintainer is also unwilling to release another
package with the correct version numbers as pretty much all other
library packages do, this basically means a total standstill. His
implied suggestion to wait for 3.0 does not improve the situation at
all. In fact, it makes it worse. As of right now, this is blocking
#398615, #404319, #411575, #413675, #431435, #444960, #457157.

I do not claim to know what issues are open with 2.8, but I know that
several projects seem to be coping with whatever bugs those might be. I
also know that several maintainers are waiting for the updated packages.
The only option that makes sense to me in such a situation is a NMU-like
action: Package and maintain wxwidgets 2.8 outside of 2.6's maintainers
reach. This is a drastic, probably even hostile thing to do, but, quite
frankly, it seems to be the only option left to everyone involved. Please
note that this is not actually a NMU as it introduces a new package.

I am not a DD and do not think I have the technical skills to maintain
this package, else I would try to do just that. I am confident that
_someone_ among the people affected by this total blockade is able to do
just this.


Last but not least, if 2.8 proves to be too unstable to handle, just
keep it in unstable until after lenny is released. That will at least
allow the other maintainers to go on with their work, even if it does
not make it into the next stable. That will also ease the path for etch
users as backports should pick 2.8 up, as well.


Again, Ron, I can fully understand that you will not be happy about this
email and I am sorry for that. It is just that I do not see any other
option.


Best regards,
Richard Hartmann




Message #31 received at 440330-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 415677-done@bugs.debian.org, 440330-done@bugs.debian.org, 425647-done@bugs.debian.org
Subject: closing more duplicate reports with no additional information
Date: Sun, 3 Feb 2008 17:10:59 +1030
Hi,

I'm closing some more of these duplicate reports, because some people
are proving that they can't be sensible or discerning enough to decide
which one they should follow up to, and that isn't helping anyone but
eris.

If you were the original reporter of this bug, be assured that the
issue you have reported will not be ignored or forgotten about, it's
just already covered by another report.

Thanks,
Ron





Blocking bugs of 457157 removed: 403237, 415677, 440330, 415677, 403237, 440330, 440330, 403237, and 415677 Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2008 08:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#440330; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #38 received at 440330@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 403237@bugs.debian.org, 415677@bugs.debian.org, 425647@bugs.debian.org, 440330@bugs.debian.org
Subject: Cross-reference to debian-devel
Date: Sun, 3 Feb 2008 14:24:57 +0100
Just letting you know that I posted the same email to debian-devel[1].

Both to help readers in the future and to enable Ron to send his answer
to the list.


Richard

[1] http://lists.debian.org/debian-devel/2008/02/msg00086.html




Message sent on to Gerfried Fuchs <rhonda@debian.at>:
Bug#440330. Full text and rfc822 format available.

Message #41 received at 440330-submitter@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: Richard Hartmann <richih@net.in.tum.de>
Cc: gandalf@le-vert.net, hamish_nospam@yahoo.com, dmn@debian.org, ron@debian.org, 425647-submitter@bugs.debian.org, 403237-submitter@bugs.debian.org, 440330-submitter@bugs.debian.org
Subject: wxwidgets 2.8 git repository
Date: Tue, 19 Feb 2008 23:14:39 +0100
[Message part 1 (text/plain, inline)]
Hi,

there is now a git repository for wxwidgets 2.8 Debian packaging. This will 
hopefully help streamlining the current efforts of packaging the 2.8 version 
of wxWidgets.

I have no intentions of uploading any 2.8 packages to experimental or 
unstable. Let us first see what issues come up with the packaging.

Debian developers will have write access by checking out like this:
$ git clone ssh://<user>@git.debian.org/git/collab-maint/wxwidgets28.git

Other users can run:
$ git clone git://git.debian.org/git/collab-maint/wxwidgets28.git

If your firewall blocks the git:// protocol, you can also checkout over HTTP:
$ git clone http://git.debian.org/git/collab-maint/wxwidgets28.git


The currrent contents are a direct import of my packaging effort, but feel 
free to merge in your own changes. With git you can create your own branches 
anyway, so there is not really a restriction, even for non-Debian-developers.


Happy packaging,
  Bastian
[signature.asc (application/pgp-signature, inline)]

Message sent on to Gerfried Fuchs <rhonda@debian.at>:
Bug#440330. Full text and rfc822 format available.

Message #44 received at 440330-submitter@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: gandalf@le-vert.net, hamish_nospam@yahoo.com, hamish@yahoo.com, dmn@debian.org, ron@debian.org, 425647-submitter@bugs.debian.org, 403237-submitter@bugs.debian.org, 440330-submitter@bugs.debian.org, vadim@wxwidgets.org, doko@debian.org, email@christoph-haas.de
Subject: Re: wxwidgets 2.8 git repository
Date: Wed, 20 Feb 2008 12:00:03 +0100
-- Including Vadim, Matthias, Chris on the recipient list, trying to subvert
evil anti-spam measure of hamish --

Please use richih.mailinglist@gmail.com for replies, not the other address.


On Tue, 19 Feb 2008, Bastian Kleineidam wrote:


> there is now a git repository for wxwidgets 2.8 Debian packaging. This will
> hopefully help streamlining the current efforts of packaging the 2.8 version
> of wxWidgets.

Nice. A central location definitely helps.


> I have no intentions of uploading any 2.8 packages to experimental or
> unstable. Let us first see what issues come up with the packaging.

Matthias Klose uploaded 2.8 to experimental, leaving Ron Lee as
maintainer [1].
I would assume that he would appreciate help, though. Vadim contacted
doko about co-maintainership already. He did not get a reply yet.

Vadim also expressed willingness to poke the rdepends of 2.4 and see if
he can get it out of Debian, possibly before Lenny releases. FTP Masters
indicated agreement with having 2.8 enter unstable if requested.


> Debian developers will have write access by checking out like this:
> $ git clone ssh://<user>@git.debian.org/git/collab-maint/wxwidgets28.git

This means Vadim will want to get an alioth guest account. He can poke
me off-list on my primary email address, for help on that.


As you will probably know, the admin interface for the new PostGRE SQL
release depends on 2.8 which makes the whole issue even more pressing.


Richard

[1] http://packages.debian.org/search?keywords=libwxgtk2.8&searchon=names&suite=experimental&section=all




Bug no longer marked as found in version 2.6.3.2.1.5. Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Mon, 03 Mar 2008 10:21:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:30:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.